| Home | Libraries | People | FAQ | More

#### pool_params

Configuration parameters for `connection_pool`.

##### Synopsis

Defined in header `<boost/mysql/pool_params.hpp>`

    struct pool_params;

##### Data Members

Name | Description
--- | ---
connect_timeout | The timeout to use when connecting.
connection_executor | The executor to be used by individual connections created by the pool.
database | Database name that connections created by the pool will use when connecting.
initial_buffer_size | Initial size (in bytes) of the internal buffer for the connections created by the pool.
initial_size | Initial number of connections to create.
max_size | Max number of connections to create.
multi_queries | Whether to enable support for semicolon-separated text queries for connections created by the pool.
password | Password that connections created by the pool should use.
ping_interval | The health-check interval.
ping_timeout | The timeout to use for pings and session resets.
retry_interval | The interval between connect attempts.
server_address | Determines how to establish a physical connection to the MySQL server.
ssl | Controls whether connections created by the pool will use TLS or not.
ssl_ctx | The SSL context to use for connections using TLS.
thread_safe | Enables or disables thread-safety.
username | User name that connections created by the pool should use to authenticate as.

##### Description

This is an owning type.

Convenience header `<boost/mysql.hpp>`